.accordion summary {
  display: flex;
  position: relative;
  line-height: 1;
  padding: 2rem 0;
}

.accordion .summary__title {
  display: flex;
  flex: 1;
}

.accordion .summary__title + .icon-caret {
  height: calc(var(--font-heading-scale) * 0.6rem);
}

.accordion + .accordion {
  margin-top: 0;
  border-top: none;
}

.accordion {
  margin-top: 2.5rem;
  margin-bottom: 0;
  border-top: 0.1rem solid rgba(var(--color-foreground), 0.08);
  border-bottom: 0.1rem solid rgba(var(--color-foreground), 0.08);
}

.accordion__title {
  display: inline-block;
  max-width: calc(100% - 6rem);
  min-height: 1.6rem;
  margin: 0;
  word-break: break-word;
}

.accordion .svg-wrapper {
  align-self: center;
  fill: rgb(var(--color-foreground));
  height: calc(var(--font-heading-scale) * 2rem);
  margin-right: calc(var(--font-heading-scale) * 1rem);
  width: calc(var(--font-heading-scale) * 2rem);
}

.accordion details[open] > summary .icon-caret {
  transform: rotate(180deg);
}

.accordion__content {
  margin-bottom: 1.5rem;
  word-break: break-word;
  overflow-x: auto;
  padding: 0 0.6rem;
}

.accordion__content img {
  max-width: 100%;
}

.accordion__product-section--specifications,
.accordion__product-section--overrides {
  ul,
  ol {
    list-style: none;
    margin: 0;
    padding: 0;
    border-top: 2px solid rgb(var(--color-button-disabled-text));
    display: grid;
    grid-template-columns: 1fr;
    column-gap: 2rem;

    li {
      padding: 1.5rem 0;
      border-bottom: 2px solid rgb(var(--color-button-disabled-text));
      display: flex;
      gap: 0.5rem;

      b,
      strong {
        width: 30%;
      }

      i,
      em {
        width: 70%;
      }

      i,
      em {
        font-style: normal;
      }

      &:last-child {
        border-bottom: none;
      }
    }
  }

  ul:has(li:nth-child(6)),
  ol:has(li:nth-child(6)) {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 2rem;

    @media screen and (max-width: 1300px) {
      grid-template-columns: 1fr;
    }

    li {
      padding: 1.5rem 0;
      border-bottom: 2px solid rgb(var(--color-button-disabled-text));
      display: flex;

      b,
      strong {
        width: 30%;
      }

      i,
      em {
        font-style: normal;
        width: 70%;
      }

      &:last-child {
        border-bottom: none;
      }

      @media screen and (min-width: 1301px) {
        &:nth-child(2n + 1):nth-last-child(-n + 2),
        &:nth-child(2n):nth-last-child(-n + 2) {
          border-bottom: none;
        }
      }
    }
  }
}

@media screen and (min-width: 750px) {
  .accordion__product-section--specifications,
  .accordion__product-section--overrides {
    ul li,
    ol li {
      b,
      strong {
        width: 15%;
      }

      i,
      em {
        width: 85%;
      }
    }
  }
}
